<?php


/**
 * @file Section admin for simpleviewer
 */
function simpleviewer_settings_form() {
	$form = array();
	
	$form['simpleviewer_textcolor'] = array(
		'#type' => 'colorpicker_textfield',
		'#title' => t('Text color'),
		'#default_value' => variable_get('simpleviewer_textcolor', '#FFFFFF'),
	);
	$form['simpleviewer_framecolor'] = array(
		'#type' => 'colorpicker_textfield',
		'#title' => t('Frame color'),
		'#default_value' => variable_get('simpleviewer_framecolor', '#FFFFFF'),
	);
	$form['simpleviewer_thumbposition'] = array(
		'#type' => 'select',
		'#title' => t('Thumb position'),
		'#options' => array('TOP' => 'Top', 'BOTTOM' => 'Bottom', 'RIGHT' => 'Right', 'LEFT' => 'Left', 'NONE' => 'None'),
		'#default_value' => variable_get('simpleviewer_thumbposition', 'LEFT'),
	);
	$form['simpleviewer_gallerystyle'] = array(
		'#type' => 'select',
		'#title' => t('Gallery style'),
		'#options' => array('MODERN' => 'Modern', 'COMPACT' => 'Compact', 'CLASSIC' => 'Classic'),
		'#default_value' => variable_get('simpleviewer_gallerystyle', 'MODERN'),
	);
	$form['simpleviewer_thumbcolums'] = array(
		'#type' => 'textfield',
		'#size' => 10,
		'#title' => t('Thumb columns'),
		'#default_value' => variable_get('simpleviewer_thumbcolums', 3),
	);
	$form['simpleviewer_thumbrows'] = array(
    '#type' => 'textfield',
    '#size' => 10,
    '#title' => t('Thumb rows'),
    '#default_value' => variable_get('simpleviewer_thumbrows', 3),
  );
  $form['simpleviewer_framewidth'] = array(
    '#type' => 'textfield',
    '#size' => 10,
    '#title' => t('Frame (border) width'),
    '#default_value' => variable_get('simpleviewer_framewidth', 20),
  );
  $form['simpleviewer_maximagewidth'] = array(
    '#type' => 'textfield',
    '#size' => 10,
    '#title' => t('Max image width'),
    '#default_value' => variable_get('simpleviewer_maximagewidth', 640),
  );
  $form['simpleviewer_maximageheight'] = array(
    '#type' => 'textfield',
    '#size' => 10,
    '#title' => t('Max image height'),
    '#default_value' => variable_get('simpleviewer_maximageheight', 640),
  );
  $form['simpleviewer_showopenbutton'] = array(
    '#type' => 'checkbox',
    '#title' => t('Show open button'),
    '#default_value' => variable_get('simpleviewer_showopenbutton', true),
  );
  $form['simpleviewer_showfullscreenbutton'] = array(
    '#type' => 'checkbox',
    '#title' => t('Full screen button'),
    '#default_value' => variable_get('simpleviewer_showfullscreenbutton', true),
  );
  $form['simpleviewer_pro_options'] = array(
	'#type' => 'textarea',
	'#rows' => 5,
	'#title' => t('Advanced options'),
	'#description' => t('Enter additional ( option="VALUE" ) config option pairs
						to add to the simplviewer xml tag options.
						Useful for pro version settings. Example: imageFrameStyle="ROUNDED"'),
	'#default_value' => variable_get('simpleviewer_pro_options', ''),
  );
  if(module_exists('imagecache')){
	$presets = imagecache_presets();
	foreach($presets as $key => $preset ){
		$options[$preset['presetname']] = $preset['presetname'];
	}
	$form['simpleviewer_thumb_preset'] = array(
		'#type' => 'select',
		'#description' => t('This is the imagecache preset to use for the smaller thumb images'),
		'#title' => t('Thumb preset'),
		'#options' => $options,
		'#default_value' => variable_get('simpleviewer_thumb_preset', 'simpleviewer_thumb'),
	);
	$form['simpleviewer_full_preset'] = array(
		'#type' => 'select',
		'#title' => t('Main image preset'),
		'#description' => t('This is the imagecache preset to use for the larger main image'),
		'#options' => $options,
		'#default_value' => variable_get('simpleviewer_full_preset', 'simpleviewer_full'),
	);
  }

  return system_settings_form($form);
}
